> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.withpersona.com/2025-12-08/api-reference/lists/create-an-ip-address-list/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.withpersona.com/_mcp/server. # Create an IP Address List POST https://api.withpersona.com/api/v1/list/ip-addresses Content-Type: application/json Create a new list for your organization. Reference: https://docs.withpersona.com/api-reference/lists/create-an-ip-address-list ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Query parameters - `include` (string, optional) — A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the `included` key in the response. See [Serialization](https://docs.withpersona.com/serialization#inclusion-of-related-resources) for more details. - `fields` (map from string to string, optional) — Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details. ### Headers - `Key-Inflection` (enum, optional) — Determines casing for the API response. - Allowed values: `camel`, `kebab`, `snake` - `Idempotency-Key` (string, optional) — Ensures the request is idempotent. - `Persona-Version` (enum, optional) — Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning). - Allowed values: `2025-12-08`, `2025-10-27`, `2023-01-05`, `2022-09-01`, `2021-08-18`, `2021-07-05`, `2021-02-21`, `2020-05-18` ### Body (application/json) This endpoint expects an object. - `data` (ListIpAddressesPostRequestBodyContentApplicationJsonSchemaData, optional) ## Response ### 201 This endpoint returns the created List object. - `data` (lists-ip-addresses, required) — A Ip Address List object ## Errors ### 400 Bad Request Error The request was unacceptable, often due to invalid parameters. - `errors` (list of ListIpAddressesPostResponsesContentApplicationJsonSchemaErrorsItems, optional) ### 401 Unauthorized Error An invalid API key was provided. - `errors` (list of ListIpAddressesPostResponsesContentApplicationJsonSchemaErrorsItems, optional) ### 403 Forbidden Error The given API key doesn’t have permissions to perform the request or a quota has been exceeded. - `errors` (list of ListIpAddressesPostResponsesContentApplicationJsonSchemaErrorsItems, optional) ### 409 Conflict Error The request conflicts with another request, often due to attempting to create a duplicate resource. - `errors` (list of ListIpAddressesPostResponsesContentApplicationJsonSchemaErrorsItems, optional) ### 422 Unprocessable Entity Error The request modifies the resource in an unacceptable way, often due to an invalid action or parameter. - `errors` (list of ListIpAddressesPostResponsesContentApplicationJsonSchemaErrorsItems, optional) ### 429 Too Many Requests Error Your organization’s rate limit has been exceeded. We recommend an exponential backoff on requests. - `errors` (list of ListIpAddressesPostResponsesContentApplicationJsonSchemaErrorsItems, optional) ## Types ### ListIpAddressesPostRequestBodyContentApplicationJsonSchemaData - `attributes` (ListIpAddressesPostRequestBodyContentApplicationJsonSchemaDataAttributes, optional) ### lists-ip-addresses A Ip Address List object - `id` (string, optional) - `attributes` (lists-shared-attributes, optional) - `relationships` (ListDiscriminatorMappingListIpAddressRelationships, optional) ### ListIpAddressesPostResponsesContentApplicationJsonSchemaErrorsItems - `title` (string, optional) - `details` (string, optional) ### ListIpAddressesPostRequestBodyContentApplicationJsonSchemaDataAttributes - `name` (string, optional) — Name of the list ### lists-shared-attributes - `name` (string, optional) - `status` (string, optional) - `archived-at` (datetime, optional, nullable) - `created-at` (datetime, optional) - `updated-at` (datetime, optional) ### ListDiscriminatorMappingListIpAddressRelationships - `list-items` (ListDiscriminatorMappingListIpAddressRelationshipsListItems, optional) ### ListDiscriminatorMappingListIpAddressRelationshipsListItems - `data` (list of ListDiscriminatorMappingListIpAddressRelationshipsListItemsDataItems, optional) ### ListDiscriminatorMappingListIpAddressRelationshipsListItemsDataItems Ip Address List items associated with this list. ## Examples ### Created **Response** ```json { "data": { "id": "lst_kRcKDJ4c8wF2AmAghggtYxboX", "attributes": { "name": "My New List", "status": "active", "archived-at": null, "created-at": "2023-08-30T20:22:07.000Z", "updated-at": "2023-08-30T20:22:07.000Z" }, "relationships": { "list-items": { "data": [] } }, "type": "list/ip-address" } } ``` **SDK Code** ```python Created import requests url = "https://api.withpersona.com/api/v1/list/ip-addresses" headers = {"Authorization": "Bearer "} response = requests.post(url, headers=headers) print(response.json()) ``` ```javascript Created const url = 'https://api.withpersona.com/api/v1/list/ip-addresses'; const options = {method: 'POST', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Created package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.withpersona.com/api/v1/list/ip-addresses" req, _ := http.NewRequest("POST", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Created require 'uri' require 'net/http' url = URI("https://api.withpersona.com/api/v1/list/ip-addresses") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java Created import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.withpersona.com/api/v1/list/ip-addresses") .header("Authorization", "Bearer ") .asString(); ``` ```php Created request('POST', 'https://api.withpersona.com/api/v1/list/ip-addresses', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp Created using RestSharp; var client = new RestClient("https://api.withpersona.com/api/v1/list/ip-addresses"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift Created import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.withpersona.com/api/v1/list/ip-addresses")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` ### Example Request **Request** ```json { "data": { "attributes": { "name": "My New List" } } } ``` **Response** ```json { "data": { "id": "lst_kRcKDJ4c8wF2AmAghggtYxboX", "attributes": { "name": "My New List", "status": "active", "archived-at": null, "created-at": "2023-08-30T20:22:07.000Z", "updated-at": "2023-08-30T20:22:07.000Z" }, "relationships": { "list-items": { "data": [] } }, "type": "list/ip-address" } } ``` **SDK Code** ```python Example Request import requests url = "https://api.withpersona.com/api/v1/list/ip-addresses" payload = { "data": { "attributes": { "name": "My New List" } } } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript Example Request const url = 'https://api.withpersona.com/api/v1/list/ip-addresses'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{"data":{"attributes":{"name":"My New List"}}}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Example Request package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.withpersona.com/api/v1/list/ip-addresses" payload := strings.NewReader("{\n \"data\": {\n \"attributes\": {\n \"name\": \"My New List\"\n }\n }\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Example Request require 'uri' require 'net/http' url = URI("https://api.withpersona.com/api/v1/list/ip-addresses") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"data\": {\n \"attributes\": {\n \"name\": \"My New List\"\n }\n }\n}" response = http.request(request) puts response.read_body ``` ```java Example Request import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.withpersona.com/api/v1/list/ip-addresses") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"data\": {\n \"attributes\": {\n \"name\": \"My New List\"\n }\n }\n}") .asString(); ``` ```php Example Request request('POST', 'https://api.withpersona.com/api/v1/list/ip-addresses', [ 'body' => '{ "data": { "attributes": { "name": "My New List" } } }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp Example Request using RestSharp; var client = new RestClient("https://api.withpersona.com/api/v1/list/ip-addresses"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"data\": {\n \"attributes\": {\n \"name\": \"My New List\"\n }\n }\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift Example Request import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = ["data": ["attributes": ["name": "My New List"]]] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.withpersona.com/api/v1/list/ip-addresses")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```